Subject: Re: Comments on draft-ietf-ospf-ospfv3-traffic-03

From: Acee Lindem <[email-masked]>
Date: Sat, 12 Mar 2005 17:08:18 -0500

Regarding the issue below, I'm inclined to agree with Alan and support a
link state ID with an arbitrary value. My reasons:

   1. This is consistent with OSPFv2 TE (RFC 3630).
   2. If we define new TE top-level TLVs, we may have a link state ID space
       overlap when using interface ID for the Link State ID.
   3. The Link State ID to Interface ID really doesn't buy that much since
        most implementations I've encountered maintain separate TE and
        Link State databases (so the network LSA<->TE LSA ease of
        reference isn't really a factor).

Any other opinions?

Acee

>
>
>> Previously Noted Comments
>> -------------------------
>>
>> _Suggested Change to the Value Used as the Link State ID_
>>
>> I do not think that the interface ID of the link is suitable for use 
>> as the Link State ID of the Intra-Area-TE-LSA.  In particular, it is 
>> not suitable for the Link State ID of the single Intra-Area-TE-LSA 
>> containing the Router IPv6 Address TLV advertised by a router as this 
>> Link State ID must be different to all Link State IDs used for 
>> Intra-Area-TE-LSAs containing Link TLVs.
>>
>> I suggest using an arbitrary value with no topological significance 
>> as the Link State ID for Intra-Area-TE-LSAs, in a similar manner to 
>> LSA IDs in RFC3630 (Traffic Engineering (TE) Extensions to OSPF 
>> Version 2).
>>  
>>
> In practice, many implementations do use the IfIndex for the the 23 
> bit  OSPF opaque ID.
> My previous implementation used the IfIndex for the LSA opaque type 
> for the link TLVs
> and 0 for the LSA opaque type for the router address TLV.
> Anyway, I can see arguments for going both ways. In the case of using 
> Interface ID and 0 (router IPv6
> address TLV), we simplify access and mapping between TE LSAs and 
> Network-LSAs.
> In the case of the arbitrary IDs, we are not limiting ourselves to 
> specific ID when adding future
> Intra-Area-TE-LSA TLVs.
>
> Any other opinions here?